package com.hzya.frame.excel.templateConfigDetial.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * excel模版配置明细表(ExcelTemplateConfigDetail)实体类
 *
 * @author makejava
 * @since 2024-08-13 08:39:02
 */
public class ExcelTemplateConfigDetailEntity extends BaseEntity {
 
  /**  字段名称 */
   private String fieldName;
  /**  字段编码 */
   private String fieldCode;
  /**  字段类型 */
   private String fieldType;
  /**  应用数据字典明细表id */
   private String dictionaryDetailId;
  /**  显示名称 */
   private String showName;
  /**  序号 */
   private Long templateSort;
  /**  开关 */
   private String templateSwitch;
  /**  公司id */
   private String companyId;


    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getDictionaryDetailId() {
        return dictionaryDetailId;
    }

    public void setDictionaryDetailId(String dictionaryDetailId) {
        this.dictionaryDetailId = dictionaryDetailId;
    }

    public String getShowName() {
        return showName;
    }

    public void setShowName(String showName) {
        this.showName = showName;
    }

    public Long getTemplateSort() {
        return templateSort;
    }

    public void setTemplateSort(Long templateSort) {
        this.templateSort = templateSort;
    }

    public String getTemplateSwitch() {
        return templateSwitch;
    }

    public void setTemplateSwitch(String templateSwitch) {
        this.templateSwitch = templateSwitch;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}

